Bug 1654247 - [abrt] gmux_update_status: WARNING: CPU: 0 PID: 742 at drivers/platform/x86/apple-gmux.c:683 gmux_probe.cold.18+0x59/0x461 [apple_gmux] [apple_gmux]
Summary: [abrt] gmux_update_status: WARNING: CPU: 0 PID: 742 at drivers/platform/x86/a...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6e5e905cbe5ba46bdd252da8cf2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-28 10:23 UTC by Harry Mallon
Modified: 2019-02-21 21:06 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-21 21:06:19 UTC


Attachments (Terms of Use)
File: dmesg (180.83 KB, text/plain)
2018-11-28 10:23 UTC, Harry Mallon
no flags Details

Description Harry Mallon 2018-11-28 10:23:05 UTC
Description of problem:
Boot Fedora with Mac Pro 6,1 (I don't normally do this but was trying to test something else.

I had a Thunderbolt display plugged in, but the brightness doesn't seem to work even after this error

Additional info:
reporter:       libreport-2.9.6
WARNING: CPU: 0 PID: 742 at drivers/platform/x86/apple-gmux.c:683 gmux_probe.cold.18+0x59/0x461 [apple_gmux]
Modules linked in: apple_gmux(+) apple_bl video pcc_cpufreq firewire_ohci crc32c_intel tg3 firewire_core crc_itu_t uas usb_storage
CPU: 0 PID: 742 Comm: systemd-udevd Not tainted 4.19.4-300.fc29.x86_64 #1
Hardware name: Apple Inc. MacPro6,1/Mac-F60DEB81FF30ACF6, BIOS 127.0.0.0.0 09/17/2018
RIP: 0010:gmux_probe.cold.18+0x59/0x461 [apple_gmux]
Code: 89 e7 f3 ab c7 44 24 18 02 00 00 00 0f 84 84 00 00 00 be 70 00 00 00 48 89 df e8 23 fa ff ff 3d ff ff ff 00 0f 8e d8 00 00 00 <0f> 0b c7 44 24 0c ff ff ff 00 4d 89 e0 48 c7 c1 a0 56 49 c0 48 89
RSP: 0018:ffffa4d4c3d0bb38 EFLAGS: 00010212
RAX: 0000000004000b00 RBX: ffff89a0938bd700 RCX: 0000000000000000
RDX: ffff89a096abbe00 RSI: 0000000000000000 RDI: ffff89a0938bd718
RBP: ffff89a09af9b400 R08: 0000000000000040 R09: 0000000000000001
R10: 0000000000000000 R11: 0000000000000001 R12: ffffa4d4c3d0bb40
R13: 0000000000000400 R14: 0000000000000025 R15: ffffa4d4c3d0be88
FS:  00007fa9e1490940(0000) GS:ffff89a09f600000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000555a1d90b000 CR3: 0000000856ac6002 CR4: 00000000001606f0
Call Trace:
 ? gmux_update_status+0xc0/0xc0 [apple_gmux]
 pnp_device_probe+0x5e/0xb0
 ? driver_sysfs_add+0x75/0xd0
 really_probe+0x235/0x3a0
 driver_probe_device+0xb3/0xf0
 __driver_attach+0xdd/0x110
 ? driver_probe_device+0xf0/0xf0
 bus_for_each_dev+0x76/0xc0
 ? klist_add_tail+0x3b/0x60
 bus_add_driver+0x152/0x230
 ? 0xffffffffc0499000
 driver_register+0x6b/0xb0
 ? 0xffffffffc0499000
 do_one_initcall+0x46/0x1c3
 ? free_unref_page_commit+0x9b/0x110
 ? _cond_resched+0x15/0x30
 ? kmem_cache_alloc_trace+0x15f/0x1e0
 do_init_module+0x5a/0x210
 load_module+0x206d/0x22d0
 ? __do_sys_init_module+0x13d/0x180
 __do_sys_init_module+0x13d/0x180
 do_syscall_64+0x5b/0x160
 entry_SYSCALL_64_after_hwframe+0x44/0xa9
RIP: 0033:0x7fa9e214b09e
Code: 48 8b 0d ed 1d 0c 00 f7 d8 64 89 01 48 83 c8 ff c3 66 2e 0f 1f 84 00 00 00 00 00 90 f3 0f 1e fa 49 89 ca b8 af 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d ba 1d 0c 00 f7 d8 64 89 01 48
RSP: 002b:00007ffc0218dd18 EFLAGS: 00000246 ORIG_RAX: 00000000000000af
RAX: ffffffffffffffda RBX: 0000555a1d5ecd50 RCX: 00007fa9e214b09e
RDX: 00007fa9e22c184d RSI: 0000000000006366 RDI: 0000555a1d8ef810
RBP: 00007fa9e22c184d R08: 0000000000000007 R09: 0000000000000006
R10: 0000555a1d584010 R11: 0000000000000246 R12: 0000555a1d8ef810
R13: 0000555a1d5ff200 R14: 0000000000020000 R15: 0000000000000000

Comment 1 Harry Mallon 2018-11-28 10:23:20 UTC
Created attachment 1509427 [details]
File: dmesg

Comment 2 Justin M. Forbes 2019-01-29 16:13:56 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 29 kernel bugs.

Fedora 29 has now been rebased to 4.20.5-200.fc29.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2019-02-21 21:06:19 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.